MyGUI: MyGUI::IItemContainer Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::IItemContainer Class Reference

`#include <MyGUI_IItemContainer.h>`

Inheritance diagram for MyGUI::IItemContainer:
[legend]

## Public Member Functions
virtual | ~IItemContainer ()
virtual size_t | _getItemCount () const
virtual void | _addItem (const MyGUI::UString &)
virtual void | _removeItemAt (size_t)
virtual Widget * | _getItemAt (size_t _index) const
virtual void | _setItemNameAt (size_t, const UString &)
virtual const UString & | _getItemNameAt (size_t _index) const
virtual void | _setItemSelected (IItem *)

## Detailed Description

Definition at line 18 of file MyGUI_IItemContainer.h.

## Constructor & Destructor Documentation

## ◆ ~IItemContainer()

virtual MyGUI::IItemContainer::~IItemContainer | ( |  | ) |
| inlinevirtual

Definition at line 21 of file MyGUI_IItemContainer.h.

## Member Function Documentation

## ◆ _addItem()

virtual void MyGUI::IItemContainer::_addItem | ( | const MyGUI::UString & |  | ) |
| inlinevirtual

Reimplemented in MyGUI::ComboBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, and MyGUI::TabControl.

Definition at line 28 of file MyGUI_IItemContainer.h.

## ◆ _getItemAt()

virtual Widget * MyGUI::IItemContainer::_getItemAt | ( | size_t | _index | ) | const
| inlinevirtual

Reimplemented in MyGUI::MenuControl, MyGUI::MultiListBox, and MyGUI::TabControl.

Definition at line 32 of file MyGUI_IItemContainer.h.

## ◆ _getItemCount()

virtual size_t MyGUI::IItemContainer::_getItemCount | ( |  | ) | const
| inlinevirtual

Reimplemented in MyGUI::ComboBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, and MyGUI::TabControl.

Definition at line 23 of file MyGUI_IItemContainer.h.

## ◆ _getItemNameAt()

virtual const UString & MyGUI::IItemContainer::_getItemNameAt | ( | size_t | _index | ) | const
| inlinevirtual

Reimplemented in MyGUI::ComboBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, and MyGUI::TabControl.

Definition at line 38 of file MyGUI_IItemContainer.h.

## ◆ _removeItemAt()

virtual void MyGUI::IItemContainer::_removeItemAt | ( | size_t |  | ) |
| inlinevirtual

Reimplemented in MyGUI::ComboBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, and MyGUI::TabControl.

Definition at line 30 of file MyGUI_IItemContainer.h.

## ◆ _setItemNameAt()

virtual void MyGUI::IItemContainer::_setItemNameAt | ( | size_t | ,
|  | const UString & | )
| inlinevirtual

Reimplemented in MyGUI::ComboBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, and MyGUI::TabControl.

Definition at line 37 of file MyGUI_IItemContainer.h.

## ◆ _setItemSelected()

virtual void MyGUI::IItemContainer::_setItemSelected | ( | IItem * |  | ) |
| inlinevirtual

Reimplemented in MyGUI::MenuControl.

Definition at line 43 of file MyGUI_IItemContainer.h.

The documentation for this class was generated from the following file:

- MyGUI_IItemContainer.h